package info.aspirecn.iov.sjjh.supplier10000044.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/7/8 11:20
 * @version: V1.0
 **/
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class PhotoIdentityParamObject {
    private String accessToken;
    private AuthData authData;

    @Data
    @ToString
    @NoArgsConstructor
    @AllArgsConstructor
    public static class AuthData {
        private Integer mode;
        private IdInfo idInfo;
        private String portrait;
    }

    @Data
    @ToString
    @NoArgsConstructor
    @AllArgsConstructor
    public static class IdInfo {
        private String idNum;
        private String fullName;
    }

    public static PhotoIdentityParamObject getParamObject(String accessToken, String idCode, String name,
                                                          String photo, Integer mode) {
        IdInfo idInfo = new IdInfo(idCode, name);
        AuthData authData = new AuthData(mode, idInfo, photo);
        return new PhotoIdentityParamObject(accessToken, authData);
    }

    public static PhotoIdentityParamObject getLogParamObject(String accessToken, String idCode, String name,
                                                           Integer mode) {
        IdInfo idInfo = new IdInfo(idCode, name);
        AuthData authData = new AuthData(mode, idInfo, "base64");
        return new PhotoIdentityParamObject(accessToken, authData);
    }
}
